Loading...
Searching...
No Matches
Repository.h File Reference

Repository class is a template class to hold a collection of similar objects. More...

`#include <vector>`

Go to the source code of this file.

## Classes

class | ASSA::Repository< T >

## Namespaces

namespace | ASSA

## Detailed Description

Repository class is a template class to hold a collection of similar objects.

It is typically used to hold references dynamically created ServiceHandlers. Repository doesn't manage references it holds. It is only used for the purposes of sending a signal to all elements of the Repository collectively.

Definition in file Repository.h.